## MmGdbusModemCdma

MmGdbusModemCdma — Generated C code for the org.freedesktop.ModemManager1.Modem.ModemCdma D-Bus interface

## Functions

guint | mm_gdbus_modem_cdma_get_cdma1x_registration_state ()
guint | mm_gdbus_modem_cdma_get_evdo_registration_state ()
guint | mm_gdbus_modem_cdma_get_activation_state ()
const gchar * | mm_gdbus_modem_cdma_get_esn ()
gchar * | mm_gdbus_modem_cdma_dup_esn ()
const gchar * | mm_gdbus_modem_cdma_get_meid ()
gchar * | mm_gdbus_modem_cdma_dup_meid ()
guint | mm_gdbus_modem_cdma_get_nid ()
guint | mm_gdbus_modem_cdma_get_sid ()
void | mm_gdbus_modem_cdma_call_activate ()
gboolean | mm_gdbus_modem_cdma_call_activate_finish ()
gboolean | mm_gdbus_modem_cdma_call_activate_sync ()
void | mm_gdbus_modem_cdma_call_activate_manual ()
gboolean | mm_gdbus_modem_cdma_call_activate_manual_finish ()
gboolean | mm_gdbus_modem_cdma_call_activate_manual_sync ()

## Properties

guint | activation-state | Read / Write
guint | cdma1x-registration-state | Read / Write
char * | esn | Read / Write
guint | evdo-registration-state | Read / Write
char * | meid | Read / Write
guint | nid | Read / Write
guint | sid | Read / Write

## Signals

void | activation-state-changed | Run Last
gboolean | handle-activate | Run Last
gboolean | handle-activate-manual | Run Last

## Types and Values

| MmGdbusModemCdma
struct | MmGdbusModemCdmaIface

## Object Hierarchy

        GInterface
        ╰── MmGdbusModemCdma

## Prerequisites

MmGdbusModemCdma requires GObject.

## Known Implementations

MmGdbusModemCdma is implemented by MMModemCdma, MmGdbusModemCdmaProxy and MmGdbusModemCdmaSkeleton.

## Description

This section contains code for working with the org.freedesktop.ModemManager1.Modem.ModemCdma D-Bus interface in C.

## Functions

### mm_gdbus_modem_cdma_get_cdma1x_registration_state ()

    guint
    mm_gdbus_modem_cdma_get_cdma1x_registration_state
                                   (MmGdbusModemCdma *object);

Gets the value of the "Cdma1xRegistrationState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModemCdma. |

#### Returns

The property value.

### mm_gdbus_modem_cdma_get_evdo_registration_state ()

    guint
    mm_gdbus_modem_cdma_get_evdo_registration_state
                                   (MmGdbusModemCdma *object);

Gets the value of the "EvdoRegistrationState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModemCdma. |

#### Returns

The property value.

### mm_gdbus_modem_cdma_get_activation_state ()

    guint
    mm_gdbus_modem_cdma_get_activation_state
                                   (MmGdbusModemCdma *object);

Gets the value of the "ActivationState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModemCdma. |

#### Returns

The property value.

### mm_gdbus_modem_cdma_get_esn ()

    const gchar *
    mm_gdbus_modem_cdma_get_esn (MmGdbusModemCdma *object);

Gets the value of the "Esn" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_cdma_dup_esn()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModemCdma. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_cdma_dup_esn ()

    gchar *
    mm_gdbus_modem_cdma_dup_esn (MmGdbusModemCdma *object);

Gets a copy of the "Esn" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModemCdma. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_cdma_get_meid ()

    const gchar *
    mm_gdbus_modem_cdma_get_meid (MmGdbusModemCdma *object);

Gets the value of the "Meid" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_cdma_dup_meid()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModemCdma. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_cdma_dup_meid ()

    gchar *
    mm_gdbus_modem_cdma_dup_meid (MmGdbusModemCdma *object);

Gets a copy of the "Meid" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModemCdma. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_cdma_get_nid ()

    guint
    mm_gdbus_modem_cdma_get_nid (MmGdbusModemCdma *object);

Gets the value of the "Nid" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModemCdma. |

#### Returns

The property value.

### mm_gdbus_modem_cdma_get_sid ()

    guint
    mm_gdbus_modem_cdma_get_sid (MmGdbusModemCdma *object);

Gets the value of the "Sid" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModemCdma. |

#### Returns

The property value.

### mm_gdbus_modem_cdma_call_activate ()

    void
    mm_gdbus_modem_cdma_call_activate (MmGdbusModemCdma *proxy,
                                       const gchar *arg_carrier_code,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `Activate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_cdma_call_activate_finish()` to get the result of the operation.

See `mm_gdbus_modem_cdma_call_activate_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemCdmaProxy. |
arg_carrier_code | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_cdma_call_activate_finish ()

    gboolean
    mm_gdbus_modem_cdma_call_activate_finish
                                   (MmGdbusModemCdma *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_cdma_call_activate()`.

#### Parameters

proxy | A MmGdbusModemCdmaProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_cdma_call_activate()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_cdma_call_activate_sync ()

    gboolean
    mm_gdbus_modem_cdma_call_activate_sync
                                   (MmGdbusModemCdma *proxy,
                                    const gchar *arg_carrier_code,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Activate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_cdma_call_activate()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemCdmaProxy. |
arg_carrier_code | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_cdma_call_activate_manual ()

    void
    mm_gdbus_modem_cdma_call_activate_manual
                                   (MmGdbusModemCdma *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ActivateManual()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_cdma_call_activate_manual_finish()` to get the result of the operation.

See `mm_gdbus_modem_cdma_call_activate_manual_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemCdmaProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_cdma_call_activate_manual_finish ()

    gboolean
    mm_gdbus_modem_cdma_call_activate_manual_finish
                                   (MmGdbusModemCdma *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_cdma_call_activate_manual()`.

#### Parameters

proxy | A MmGdbusModemCdmaProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_cdma_call_activate_manual()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_cdma_call_activate_manual_sync ()

    gboolean
    mm_gdbus_modem_cdma_call_activate_manual_sync
                                   (MmGdbusModemCdma *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ActivateManual()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_cdma_call_activate_manual()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemCdmaProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

## Types and Values

### MmGdbusModemCdma

    typedef struct _MmGdbusModemCdma MmGdbusModemCdma;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Modem.ModemCdma.

### struct MmGdbusModemCdmaIface

    struct MmGdbusModemCdmaIface {
      GTypeInterface parent_iface;

      gboolean (*handle_activate) (
        MmGdbusModemCdma *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_carrier_code);

      gboolean (*handle_activate_manual) (
        MmGdbusModemCdma *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_properties);

      guint  (*get_activation_state) (MmGdbusModemCdma *object);

      guint  (*get_cdma1x_registration_state) (MmGdbusModemCdma *object);

      const gchar * (*get_esn) (MmGdbusModemCdma *object);

      guint  (*get_evdo_registration_state) (MmGdbusModemCdma *object);

      const gchar * (*get_meid) (MmGdbusModemCdma *object);

      guint  (*get_nid) (MmGdbusModemCdma *object);

      guint  (*get_sid) (MmGdbusModemCdma *object);

      void (*activation_state_changed) (
        MmGdbusModemCdma *object,
        guint arg_activation_state,
        guint arg_activation_error,
        GVariant *arg_status_changes);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Modem.ModemCdma.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_activate` () | Handler for the “handle-activate” signal. |
`handle_activate_manual` () | Handler for the “handle-activate-manual” signal. |
`get_activation_state` () | Getter for the “activation-state” property. |
`get_cdma1x_registration_state` () | Getter for the “cdma1x-registration-state” property. |
`get_esn` () | Getter for the “esn” property. |
`get_evdo_registration_state` () | Getter for the “evdo-registration-state” property. |
`get_meid` () | Getter for the “meid” property. |
`get_nid` () | Getter for the “nid” property. |
`get_sid` () | Getter for the “sid” property. |
`activation_state_changed` () | Handler for the “activation-state-changed” signal. |

## Property Details

### The `“activation-state”` property

      “activation-state”         guint

Represents the D-Bus property "ActivationState".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModemCdma

Flags: Read / Write

Default value: 0

### The `“cdma1x-registration-state”` property

      “cdma1x-registration-state” guint

Represents the D-Bus property "Cdma1xRegistrationState".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModemCdma

Flags: Read / Write

Default value: 0

### The `“esn”` property

      “esn”                      char *

Represents the D-Bus property "Esn".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModemCdma

Flags: Read / Write

Default value: NULL

### The `“evdo-registration-state”` property

      “evdo-registration-state”  guint

Represents the D-Bus property "EvdoRegistrationState".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModemCdma

Flags: Read / Write

Default value: 0

### The `“meid”` property

      “meid”                     char *

Represents the D-Bus property "Meid".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModemCdma

Flags: Read / Write

Default value: NULL

### The `“nid”` property

      “nid”                      guint

Represents the D-Bus property "Nid".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModemCdma

Flags: Read / Write

Default value: 0

### The `“sid”` property

      “sid”                      guint

Represents the D-Bus property "Sid".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModemCdma

Flags: Read / Write

Default value: 0

## Signal Details

### The `“activation-state-changed”` signal

    void
    user_function (MmGdbusModemCdma *object,
                   guint             arg_activation_state,
                   guint             arg_activation_error,
                   GVariant         *arg_status_changes,
                   gpointer          user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "ActivationStateChanged" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A MmGdbusModemCdma. |
arg_activation_state | Argument. |
arg_activation_error | Argument. |
arg_status_changes | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“handle-activate”` signal

    gboolean
    user_function (MmGdbusModemCdma      *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_carrier_code,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Activate()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_cdma_complete_activate()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModemCdma. |
invocation | A GDBusMethodInvocation. |
arg_carrier_code | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-activate-manual”` signal

    gboolean
    user_function (MmGdbusModemCdma      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_properties,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ActivateManual()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_cdma_complete_activate_manual()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModemCdma. |
invocation | A GDBusMethodInvocation. |
arg_properties | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last